Print Driver - An error has occurred. Please try again

You may need assistance from your IT department in order to proceed with the recommendations in this article. 

Issue 1: An error has occurred. Please try again. 

DocuSign has ended support for TLS 1.0 and weak cipher suites to meet PCI Security Standards. This error is likely caused by deprecation of the TLS 1.0 security protocol, which is used by older versions of the Print Driver.
   User-added image

Solution 1:

  1. Upgrade to the latest release of the Print Driver, available on our Downloads page. Installing the latest release of the Print Driver (v3.2.1 or newer) will enforce modern TLS over the Print Driver connection and should resolve this error.
There are two installer types for installing Print Driver - .exe and .msi. You can choose the one that best suits your needs.
  • The .exe installer is the simplest method to install Print Driver and is recommended if you are not a system administrator.
  • The .msi installer has several advantages and IT departments often prefer it to manage user installations as it allows them to customize applications to suit user needs, push upgrades, support installation on a range of desktops in multiple locations as well as manage licenses. 
  1. Print Driver v3.1.4.2 does also support modern TLS protocols. However, Windows 7, Server 2012, and Server 2008 environments may not have native support enabled. This error can be resolved for Print Driver v3.1.4.2 by manually enabling modern TLS support in those environments, although updating to the latest release of the Print Driver is encouraged.
    • Versions older than v3.1.4.2 will not function as they do not support modern TLS.

Issue 2: The Print Driver is unable to connect to DocuSign (or blank login page)

This error is likely caused by an internet connectivity issue, or by issues with outdated browser version or configuration. You may receive the error below, or a blank page when attempting to log in to the Print Driver. 

User-added image

Solution 2:

  1. Confirm you have a good internet connection.
  2. Test Your Browser's TLS Support at SSLLabs. If your browser fails to pass the TLS, the best solution is to update your web browser to the latest version. If you are unable to update your browser, then please follow the instructions listed in our Common Internet Explorer Troubleshooting Steps article then reboot your device.
    • Note: The Print Driver is not compatible with older versions of IE or Compatibility View configuration. 
 

Learn More

DocuSign Print Driver v3 (PDF)

If issues continue beyond this, please contact Support for assistance with advanced troubleshooting.